# Exceptions

exception urwid.ExitMainLoop

  When this exception is raised within a main loop the main loop will exit cleanly.

exception urwid.WidgetError

  Widget specific errors.

exception urwid.ListBoxError

exception urwid.ColumnsError

  Columns related errors.

exception urwid.PileError

  Pile related errors.

exception urwid.GridFlowError

  GridFlow specific error.

exception urwid.BoxAdapterError

exception urwid.OverlayError

  Overlay specific errors.

exception urwid.TextError

exception urwid.EditError

exception urwid.CanvasError